Subject: Compiling under Debian 5 (linux) 64bit
Description

Hello Community,
Our Problem is the Compilile on Linux.
We have already compile The Sourcecode and the Client on Windows and we haven't problems.

We have all the Softwares installed there listed in the Guide.
In the Attachment i add the Errorlogs.

We want the Server compile the client is not important.

Iam from Germany an my English is not Perfect/good have mercy ;)

I open a ticket because no solution is known.
Unfortunately, we are not the only Person thy have problems with the compiling under Debian 5 64bit

History
#1 - 05/28/2010 11:25 am - Valombre

Hi,
same problem of compilation under Ubuntu lucid 64, my logs are in french but as i read the compilation error is located at the same place. "night"

script_compiler.h:111: warning: ‘AICOMP::CTokenTestResult::_codeNode’ will be initialized after
script_compiler.h:110: warning:   ‘AICOMP::CTokenTestResult::TBasicTokenTestRes AICOMP::CTokenTestResult::_res’
script_compiler.h:352: warning:   when initialized here
state_instance.cpp: In member function ‘void CStateInstance::dumpVarsAndFunctions(CStringWriter&) const’:
state_instance.cpp:163: error: cast from ‘void*’ to ‘int’ loses precision
make[2]: *** [state_instance.o] Erreur 1
make[2]: La cible « all » n'a pas pu être refabriquée à cause d'erreurs.
make[1]: *** [ai_service-all] Erreur 2
make[1]: La cible « night » n'a pas pu être refabriquée à cause d'erreurs.
make: *** [night] Erreur 2
***************************************************
***************************************************
*********************** BUILD RYZOM FAILED

#2 - 05/28/2010 11:29 am - kervala

Servers are not compiling on x64 Linux for the moment and it needs some refactoring.
#3 - 06/17/2010 09:59 am - vl

They should compile now in 64b. Can you test and report any problem?

#4 - 06/17/2010 05:25 pm - Grow

vl wrote:

They should compile now in 64b. Can you test and report any problem?

Hi,
We have downloaded the latest source and we came to no result.
We have the same Error.

Thanks for your help!

#5 - 06/17/2010 05:52 pm - kervala

Did you update sources after pulling them ?

#6 - 06/17/2010 10:50 pm - kervala
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r381.

#7 - 06/17/2010 10:51 pm - kervala
- Assignee set to kervala
- Target version set to Version 0.8.0

I used NLMISC::toStringPtr() to convert pointer to string :)

#8 - 06/22/2010 11:50 am - kervala
- Status changed from Resolved to Closed

Files
make_all_error.log 42.6 kB 05/26/2010 Grow
make_all_info.log 161.3 kB 05/26/2010 Grow
